import { Component } from '@angular/core';
import { MatChipInputEvent } from '@angular/material';
import { ENTER } from '@angular/cdk/keycodes';

const COMMA = 188;

/**
 * @title Chips with input
 */
@Component({
    selector   : 'chips-input-example',
    templateUrl: 'chips-input-example.html',
    styleUrls  : ['chips-input-example.css']
})
export class ChipsInputExample
{
    visible: boolean = true;
    selectable: boolean = true;
    removable: boolean = true;
    addOnBlur: boolean = true;

    // Enter, comma
    separatorKeysCodes = [ENTER, COMMA];

    fruits = [
        {name: 'Lemon'},
        {name: 'Lime'},
        {name: 'Apple'}
    ];

    add(event: MatChipInputEvent): void
    {
        let input = event.input;
        let value = event.value;

        // Add our person
        if ( (value || '').trim() )
        {
            this.fruits.push({name: value.trim()});
        }

        // Reset the input value
        if ( input )
        {
            input.value = '';
        }
    }

    remove(fruit: any): void
    {
        let index = this.fruits.indexOf(fruit);

        if ( index >= 0 )
        {
            this.fruits.splice(index, 1);
        }
    }
}
